## ngcp-check-tools 13.5.1.1+0~mr13.5.1.1

=== debian/changelog ===
ngcp-check-tools (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Guillem Jover ]
  * [ccbe972] MT#63599 ngcp-witnessd: Do not set SIGPIPE to ignore for spawned commands

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:52:57 +0200

ngcp-check-tools (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [63e9f5d] MT#60061 ngcp-witnessd: Add more checkpoints
  * [a5a46f9] MT#62899 Update packaging for Debian trixie
  * [8088319] MT#60622 ngcp-witnessd: Only sum the SIP attributes if they have been gathered
  * [4aa7cde] MT#60622 ngcp-witnessd: Make Kamailio XMLRPC robust against failures
  * [d17a1b8] MT#60622 ngcp-witnessd: Add a timeout to the Kamailio XMLRPC connections

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:13 +0200

ngcp-check-tools (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:42:19 +0200

ngcp-check-tools (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [de5f096] MT#61800 Require Perl 5.36
  * [5f8153b] MT#62395 witnessd: Normalize license-client feature names to be valid metric names

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:26:27 +0200

ngcp-check-tools (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:13:33 +0100

ngcp-check-tools (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [951ad04] MT#61280 ngcp-witnessd: Remove unused CHECKPATH config option
  * [d5abaf1] MT#61280 ngcp-check-tools: Cleanup data source option names
  * [a90bb87] MT#61280 ngcp-check-tools: Merge check-tools.conf into ngcp-witnessd.conf
  * [2381d74] MT#61280 Add example config knobs for kamailio data sources
  * [8b93513] MT#61280 Mention listen_host as a list option in manual page
  * [4ff8f18] MT#61280 Remove mentions in manual page of obsolete options
  * [bb4a6e9] MT#60542 ngcp-witnessd: Add support for registered devices per server-id metrics

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:25:08 +0100

ngcp-check-tools (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:58:39 +0200

ngcp-check-tools (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [8be9447] MT#60529 Fix syslog priority name from error to err
  * [5fc239c] MT#58966 Add license client data gathering support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:01:21 +0200

ngcp-check-tools (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:30:12 +0200

ngcp-check-tools (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:46:58 +0100

ngcp-check-tools (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:45:54 +0100

ngcp-check-tools (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [f62e74b] MT#58585 ngcp-witnessd: Remove support to gather dialog data from MariaDB

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:35:33 +0100

ngcp-check-tools (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [78c09ef] MT#58293 Rename missing kam_usrloc_redis_enable to sip_usrloc_redis_enable
  * [4756d9c] MT#58356 Update packaging for bookworm
  * [c5b0c69] MT#58452 ngcp-witnessd: Only set defaults if the options are unset
  * [2bac1e4] MT#58452 ngcp-witnessd: Add support for listening on multiple addresses

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:22:26 +0200

ngcp-check-tools (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:03:06 +0200

ngcp-check-tools (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [0890a52] MT#57003 ngcp-witnessd: Switch concurrent calls source to Kamailio dialogs
  * [5610161] MT#57326 Switch kamailio pkgmem label from pid to desc

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:09:17 +0200

ngcp-check-tools (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [5a2de61] TT#180303 ngcp-witnessd: Set keep-alive timeout to 30s instead of closing it
  * [be18375] MT#56578 ngcp-witnessd: When MySQL Seconds_Behind_Master is not set use -1
  * [a86d9b3] MT#56650 ngcp-witnessd: Add kamailio per peer statistics

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:02:45 +0100

ngcp-check-tools (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [71f43c0] MT#55375 Cleanup config option names
  * [a45e03c] MT#55375 Sort and group options in configuration file
  * [7b62d56] MT#55996 ngcp-witnessd: Add profile checkpoints

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:41:30 +0100

ngcp-check-tools (11.2.0.0+0~mr11.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [843cc66] MT#33044 Harden ngcp-witnessd service

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:49:28 +0200

ngcp-check-tools (11.1.0.0+0~mr11.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [630b07b] TT#180300 ngcp-witnessd: Throttle TLS certificate checks to once a day
  * [c939ed1] TT#180303 ngcp-witnessd: Set metrics Content-Type to text/plain
  * [3503771] TT#180303 ngcp-witnessd: Switch from calling ngcp-kamcmd/ctl to XMLRPC
  * [d64aba4] TT#180303 ngcp-witnessd: Finish the stream after rendering the metrics
  * [89c03d0] TT#180303 ngcp-witnessd: Properly close connection when rendering ends
  * [7c184fd] TT#129100 ngcp-witnessd: Remove unused float() function


## ngcp-check-tools 13.5.1.2+0~mr13.5.1.2

=== debian/changelog ===
ngcp-check-tools (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Guillem Jover ]
  * [60b216a] MT#63580 ngcp-witnessd: Add a node_status label to ngcp_peer_host_status

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 31 Oct 2025 23:17:42 +0100

## ngcp-check-tools 13.5.1.3+0~mr13.5.1.3

=== debian/changelog ===
ngcp-check-tools (13.5.1.3+0~mr13.5.1.3) unstable; urgency=medium

  [ Guillem Jover ]
  * [3a4d272] MT#63422 ngcp-witnessd: Improve xmlrpc diagnostics on failure

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 06 Nov 2025 20:51:33 +0100

## ngcp-check-tools 14.0.1.1+0~mr14.0.1.1

=== Makefile ===
test: syntaxcheck

# for syntax checks
PERL_SCRIPTS = \
	ngcp-check-sip-option \
	ngcp-peerprobe-status \
	ngcp-witnessd

syntaxcheck: perlcheck

perlcheck:
	@echo "Checking for perl syntax errors:"; \
	for SCRIPT in $(PERL_SCRIPTS); do \
		test -r $${SCRIPT} || continue ; \
		perl -CSD -Ilib -w -c $${SCRIPT} || exit ; \
	done; \
	echo "-> perl check done."; \

=== debian/changelog ===
ngcp-check-tools (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:19 +0100

ngcp-check-tools (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [77ae39e] MT#63599 ngcp-witnessd: Do not set SIGPIPE to ignore for spawned commands
  * [c7f29cf] MT#63580 ngcp-witnessd: Add a node_status label to ngcp_peer_host_status
  * [b26218f] MT#63580 ngcp-witnessd: Include a group_id label in all peering host metrics
  * [2bf9c6d] MT#63580 ngcp-witnessd: Add new ngcp_peer_host_cc_in metric
  * [fb4cfec] MT#63422 ngcp-witnessd: Improve xmlrpc diagnostics on failure

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:54:47 +0100

ngcp-check-tools (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [63e9f5d] MT#60061 ngcp-witnessd: Add more checkpoints
  * [a5a46f9] MT#62899 Update packaging for Debian trixie
  * [8088319] MT#60622 ngcp-witnessd: Only sum the SIP attributes if they have been gathered
  * [4aa7cde] MT#60622 ngcp-witnessd: Make Kamailio XMLRPC robust against failures
  * [d17a1b8] MT#60622 ngcp-witnessd: Add a timeout to the Kamailio XMLRPC connections

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:14 +0200

=== debian/control ===
Source: ngcp-check-tools
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends:
 debhelper-compat (= 13),
 libdbi-perl,
 libjson-xs-perl,
 liblist-moreutils-perl,
 libmojolicious-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libprometheus-tiny-perl,
 libredis-perl,
 liburi-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
Standards-Version: 4.7.2
Homepage: https://www.sipwise.com/

Package: ngcp-check-tools
Architecture: all
Depends:
 libdbd-mysql-perl,
 libdbi-perl,
 libjson-xs-perl,
 liblist-moreutils-perl,
 libmojolicious-perl,
 libngcp-checks-perl,
 libngcp-gather-perl,
 libngcp-redis-perl,
 libngcp-service-perl,
 libprometheus-tiny-perl,
 liburi-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 ngcp-system-tools,
 sipsak (>= 0.9.6+git20160713),
 ${misc:Depends},
 ${perl:Depends},
Description: system information gathering tools for NGCP platforms
 Several tools for gathering information about NGCP Platform status.

Package: libngcp-gather-perl
Architecture: all
Section: perl
Depends:
 openssl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP monitoring gathering perl modules
 This package provides the NGCP::Gather perl modules hierarchy implementing
 monitoring gathering support for NGCP.
 .
 This package is intended to be used by the monitoring stack.

Package: libngcp-checks-perl
Architecture: all
Section: perl
Depends:
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP monitoring checks perl modules
 This package provides the NGCP::Checks perl modules hierarchy implementing
 monitoring checks for NGCP.
 .
 This package is intended to be used by the monitoring stack.

Package: libngcp-redis-perl
Architecture: all
Section: perl
Depends:
 libredis-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Redis non-throwing perl module wrapper
 This package provides the NGCP::Redis perl module wrappers to make using
 the Redis module never throw any exception.

Package: libngcp-prometheus-perl
Architecture: all
Section: perl
Depends:
 libjson-xs-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Prometheus perl querying module
 This package provides the NGCP::Prometheus::HTTP wrappers to access
 Prometheus via HTTP.
 .
 This module exposes methods for the management and querying API endpoints
 supported by Prometheus.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	pod2man --section=8 ngcp-check-sip-option ngcp-check-sip-option.8
	pod2man --section=8 ngcp-peerprobe-status ngcp-peerprobe-status.8
	pod2man --section=8 ngcp-witnessd ngcp-witnessd.8
	pod2man --section=3pm lib/NGCP/Checks/TLSCerts.pm NGCP::Checks::TLSCerts.3pm
	pod2man --section=3pm lib/NGCP/Gather/Exim.pm NGCP::Gather::Exim.3pm
	pod2man --section=3pm lib/NGCP/Gather/TLSCerts.pm NGCP::Gather::TLSCerts.3pm
	pod2man --section=3pm lib/NGCP/Gather/SIPOption.pm NGCP::Gather::SIPOption.3pm
	pod2man --section=3pm lib/NGCP/Prometheus/HTTP.pm NGCP::Prometheus::HTTP.3pm
	pod2man --section=3pm lib/NGCP/Redis.pm NGCP::Redis.3pm

execute_after_dh_installsystemd:
	dh_installsystemd -pngcp-check-tools --name=ngcp-witnessd
